<?php
	include_once('common.php');
	
	$datetime = $_POST['datetime'];
	$modifiedOpportunities = getModifiedBeans($_POST['datetime'], 'Opportunities');
	$modifiedContactOpportunities = getModifiedBeans($datetime, 'opportunities_contacts', array('opportunity_id'));
	
	foreach ($modifiedContactOpportunities as $id => $data) {
		$modifiedOpportunities[$data['opportunity_id']] = true;
	}

	$opportunityIds = array_keys($modifiedOpportunities);
	
	$contactEmailMap = getEmailsFromOpportunities($opportunityIds, 'Contacts');
	$leadEmailMap = getEmailsFromOpportunities($opportunityIds, 'Leads');
	
	$fullEmailMap = array_merge_recursive($leadEmailMap, $contactEmailMap);
	
	$opps = array();
	
	$classSeed = new Opportunity();
	foreach ($opportunityIds as $oppId) {
		$classObject = $classSeed->retrieve($oppId, true, false);
		if (!$classObject) {
			continue;
		}
		
		$oppNameValues = getNameValueListFromObject($classObject);
		foreach ($fullEmailMap as $email => $opportunities) {
			if (in_array($oppId, $opportunities[0])) {
				if (!array_key_exists($email, $opps)) {
					$opps[$email] = array('prospect' => $email, 'opportunities' => array());
				}
				$opps[$email]['opportunities'][$oppId] = $oppNameValues;
			}
		}
	}

	serializeResult($opps);
	
	/**
	 * Queries the database to generate a mapping of opportunity ids to email addresses for Contacts.
	 * 
	 * @param array $opportunityIds the email addresses to pull in
	 * @param string $module the module to query over
	 * @return array an array whose keys are opportunity ids and whose values are arrays containing all the
	 *			emails from the corresponding $ids
	 */
	function getEmailsFromOpportunities($opportunityIds, $module)
	{
		global $db;
		
		$singletonModule = substr(strtolower($module), 0, -1);

		if ($module == 'Contacts') {
			$foreignId = $singletonModule.'_id';
			$joinTable = 'opportunities_'.$singletonModule.'s';
		} elseif ($module == 'Leads') {
			$foreignId = 'id';
			$joinTable = 'leads';
		}
		
		$queryResult = $db->query('SELECT '.$foreignId.', opportunity_id FROM '.$joinTable.' WHERE opportunity_id IN (\''.implode('\', \'', $opportunityIds).'\')');

		$opportunityAssociationMap = array();
		while (($queryRow=$db->fetchByAssoc($queryResult)) != null) {
			if (!array_key_exists($queryRow[$foreignId], $opportunityAssociationMap)) {
				$opportunityAssociationMap[$queryRow[$foreignId]] = array();
			}
			$opportunityAssociationMap[$queryRow[$foreignId]] []= $queryRow['opportunity_id'];
		}
		
		$emailToBeanIdMap = getEmailsFromBeanIds(array_keys($opportunityAssociationMap), $module, true);
		$resultMap = array();
		foreach ($emailToBeanIdMap as $email => $beans) {
			foreach ($beans as $beanId) {
				if (array_key_exists($beanId, $opportunityAssociationMap)) {
					if (!array_key_exists($email, $resultMap)) {
						$resultMap[$email] = array();
					}
					$resultMap[$email] []= $opportunityAssociationMap[$beanId];
				}
			}
		}
		return $resultMap;
	}
?>
