<?php
	include_once('common.php');

	if (!isset($_POST['opportunity_ids'])) {
		serializeError('No opportunity ids');
	}

	$rawOpportunityIds = $_POST['opportunity_ids'];
	if (!is_array($rawOpportunityIds)) {
		$rawOpportunityIds = explode(',', $rawOpportunityIds);
	}
	
	$afterDate = $_POST['after_date'];

	//sanitize raw opp ids
	$opportunityIds = array();
	foreach ($rawOpportunityIds as $rawOpportunityId) {
		if (preg_match("/[0-9a-f]{8}\-[0-9a-f]{4}\-[0-9a-f]{4}\-[0-9a-f]{4}\-[0-9a-f]{12}/", $rawOpportunityId)) {
			$opportunityIds[] = $rawOpportunityId;
		}
	}

	$queryString = 'SELECT id, parent_id, date_created, field_name, data_type,
		before_value_string, after_value_string, before_value_text, after_value_text
		from opportunities_audit where parent_id in (\''.implode('\', \'', $opportunityIds).'\')';

	if (is_int($afterDate)) {
		$queryString .= " and date_created >= '".date('Y-m-d H:i:s', $afterDate)."'";
	}

	$queryResult = $db->query($queryString);

	//now we need to process this and put it in some sort of usable form
	$results = array();
	while (($queryRow=$db->fetchByAssoc($queryResult)) != null) {
		$id = $queryRow['id'];
		$opportunityId = $queryRow['parent_id'];
		$dateCreated = $queryRow['date_created'];
		$fieldName = $queryRow['field_name'];
		$dataType = $queryRow['data_type'];
		$beforeValue = $queryRow['before_value_string'] !== null ? $queryRow['before_value_string'] : $queryRow['before_value_text'];
		$afterValue = $queryRow['after_value_string'] !== null ? $queryRow['after_value_string'] : $queryRow['after_value_text'];

		$results[$id] = array('id' => $id, 'opportunityId' => $opportunityId, 'dateCreated' => $dateCreated,
								'fieldName' => $fieldName, 'dataType' => $dataType,
								'beforeValue' => $beforeValue, 'afterValue' => $afterValue
						);
	}

	serializeResult($results);
?>
