<?php
	include_once('auth.php');
	global  $beanList, $beanFiles;
	$objectClass = $beanList['Administration'];
	include_once($beanFiles[$objectClass]);
	$admin = new Administration();

	$base = $_POST['base'];
	$publicIn = $_POST['public'];
	$account = $_POST['account_id'];

	if ($base && $publicIn && $account) {
		$private = array(rand(0, 46202), rand(0, 33554432));
		$publicOut = modLargeExponent($base, $private, array(85205, 21282979), 33554432);
		$sharedKey = modLargeExponent($publicIn, $private, array(85205, 21282979), 33554432);
	
		$admin->saveSetting('pardot', 'rotating_key', $sharedKey[0].$sharedKey[1]);
		$admin->saveSetting('pardot', 'account', $account);
		echo serialize($publicOut);
	}
	
	

	/**
	 * Fast-ish computation for $base^$exp mod $mod
	 * For when 32 bits just isn't enough...
	 * @param array $base ($a, $b) where $a*$chunk+$b is the full number
	 * @param array $exp ($a, $b) where $a*$chunk+$b is the full number
	 * @param array $mod ($a, $b) where $a*$chunk+$b is the full number
	 * @param int $chunk the chunk size - for speed, this needs to be in the form 2^15
	 * 
	 * @return array ($a, $b) where $a*$chunk+$b is the full number
	 */
	function modLargeExponent($base, $exp, $mod, $chunk) 
	{
		$chunkDiff = $chunk - 1;
		$c = array(0,1);

		while ($exp[0] || $exp[1]) {
			if ($exp[1] & 1) {
				$c = modLargeMultiply($c, $base, $mod, $chunk, $chunkDiff);
			}
			if ($exp[0] & 1) {
				$exp[1] |= $chunk;
			}
			$exp[0] >>=  1;
			$exp[1] >>=  1;
			$base = modLargeMultiply($base, $base, $mod, $chunk, $chunkDiff);
		}
		return $c;
	}
	
	/**
	 * Safe computation for $a * $b mod $mod
	 * For when 32 bits just isn't enough...
	 * @param array $a ($a, $b) where $a*$chunk+$b is the full number
	 * @param array $b ($a, $b) where $a*$chunk+$b is the full number
	 * @param array $mod ($a, $b) where $a*$chunk+$b is the full number
	 * @param int $chunk the chunk size - for speed, this needs to be in the form 2^15
	 * @param int $chunkDiff $chunk - 1.
	 * 		Having this precomputed saves operations when coming from modLargeExponent
	 * 
	 * @return array ($a, $b) where $a*$chunk+$b is the full number
	 */
	function modLargeMultiply($a, $b, $mod, $chunk, $chunkDiff)
	{
		$res = array(0, 0);

		while ($a[0] || $a[1]) {
			if ($a[1] & 1) {
				$res[0] += $b[0];
				$res[1] += $b[1];
				if ($res[1] & $chunk) {
					$res[1] &= $chunkDiff;
					$res[0]++;
				}
				if ($res[0] >= $mod[0] && $res[1] >= $mod[1]) {
					$res[0] -= $mod[0];
					$res[1] -= $mod[1];
				} elseif ($res[0] > $mod[0]) {
					$res[0] = $res[0] - $mod[0] - 1;
					$res[1] = $res[1] - $mod[1] + $chunk;
				}
			}                                                                                
			if ($a[0] & 1) {
				$a[1] |= $chunk;
			}
			$a[0] >>= 1;
			$a[1] >>= 1;
			$b[0] <<= 1;
			$b[1] <<= 1;

			if ($b[1] & $chunk) {
				$b[1] &= $chunkDiff;
				$b[0]++;
			}

			if ($b[0] >= $mod[0] && $b[1] >= $mod[1]) {
				$b[0] -= $mod[0];
				$b[1] -= $mod[1];
			} elseif ($b[0] > $mod[0]) {
				$b[0] = $b[0] - $mod[0] - 1;
				$b[1] = $b[1] - $mod[1] + $chunk;
			}
		}

		return $res;
	}

