
<?php
/*********************************************************************************
 * SugarCRM is a customer relationship management program developed by
 * SugarCRM, Inc. Copyright (C) 2004 - 2009 SugarCRM Inc.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY SUGARCRM, SUGARCRM DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 * 
 * You can contact SugarCRM, Inc. headquarters at 10050 North Wolfe Road,
 * SW2-130, Cupertino, CA 95014, USA. or at email address contact@sugarcrm.com.
 * 
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU General Public License version 3.
 * 
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 * these Appropriate Legal Notices must retain the display of the "Powered by
 * SugarCRM" logo. If the display of the logo is not reasonably feasible for
 * technical reasons, the Appropriate Legal Notices must display the words
 * "Powered by SugarCRM".
 ********************************************************************************/

$manifest = array(
	'acceptable_sugar_versions' => array(
		'5.2',
		'5.5',
		'6.0',
		'6.1',
		'6.2',
		'6.3',
		'6.4',
		'6.5',
	),
	'acceptable_sugar_flavors' => array(
		'CE',
		'PRO',
		'ENT',
		'CORP',
	),
	'readme'			=>'',
	'key'				=>'',
	'author' 			=> 'Pardot LLC',
	'description'		=> 'The package contains Pardot custom fields and activity tracking views to enhance the lead and contact views.',
	'icon'				=> '',
	'is_uninstallable'	=> true,
	'name'				=> 'Pardot Marketing Automation for SugarCRM',
	'published_date'	=> '2013-03-04 14:22:30',
	'type'				=> 'module',
	'version'			=> '36',
);
	
$installdefs = array(
	'id' => 'Pardot',
	'language' => array(
		array(
			'from' => '<basepath>/languages/Contacts/en_us.lang.php',
			'to_module' => 'Contacts',
			'language' => 'en_us',
		),
		array(
			'from' => '<basepath>/languages/Leads/en_us.lang.php',
			'to_module' => 'Leads',
			'language' => 'en_us',
		),
		array(
			'from' => '<basepath>/languages/application/en_us.lang.php',
			'to_module' => 'application',
			'language' => 'en_us',
		),
	),
	'mkdir' => array(
		array('path' => 'custom/modules'),
		array('path' => 'custom/modules/Contacts'),
		array('path' => 'custom/modules/Leads'),
		array('path' => 'custom/modules/Users'),
		array('path' => 'custom/pardot'),
		array('path' => 'modules/PD_Pardot'),
		array('path' => 'modules/PD_Pardot/language'),
		array('path' => 'modules/PD_Pardot/metadata'),
		array('path' => 'modules/PD_Pardot/metadata/subpanels'),
		array('path' => 'modules/PD_Pardot/tpls'),
		array('path' => 'modules/PD_Pardot/views'),
	),
	'layoutdefs' => array(),
	'relationships' => array(),
	'image_dir' => '<basepath>/icons',
	'beans' => array(
		array(
			'module' => 'PD_Pardot',
			'class' => 'PD_Pardot',
			'path' => 'modules/PD_Pardot/PD_Pardot.php',
			'tab' => true,
		),
	),
	'copy' => array(
		array(
			'from' => '<basepath>/custom/modules/Contacts/pardot_contact_hook.php',
			'to' => 'custom/modules/Contacts/pardot_contact_hook.php',
		),
		array(
			'from' => '<basepath>/custom/modules/Leads/pardot_lead_hook.php',
			'to' => 'custom/modules/Leads/pardot_lead_hook.php',
		),
		array(
			'from' => '<basepath>/custom/modules/Users/pardot_user_hook.php',
			'to' => 'custom/modules/Users/pardot_user_hook.php',
		),
		array(
			'from' => '<basepath>/custom/pardot/auth.php',
			'to' => 'custom/pardot/auth.php',
		),
		array(
			'from' => '<basepath>/custom/pardot/common.php',
			'to' => 'custom/pardot/common.php',
		),
		array(
			'from' => '<basepath>/custom/pardot/fetchCampaignMemberships.php',
			'to' => 'custom/pardot/fetchCampaignMemberships.php',
		),
		array(
			'from' => '<basepath>/custom/pardot/fetchModifiedOpportunities.php',
			'to' => 'custom/pardot/fetchModifiedOpportunities.php',
		),
		array(
			'from' => '<basepath>/custom/pardot/fetchModifiedRecords.php',
			'to' => 'custom/pardot/fetchModifiedRecords.php',
		),
		array(
			'from' => '<basepath>/custom/pardot/fetchNewRecords.php',
			'to' => 'custom/pardot/fetchNewRecords.php',
		),
		array(
			'from' => '<basepath>/custom/pardot/fetchOpportunities.php',
			'to' => 'custom/pardot/fetchOpportunities.php',
		),
		array(
			'from' => '<basepath>/custom/pardot/fetchOpportunityAudits.php',
			'to' => 'custom/pardot/fetchOpportunityAudits.php',
		),
		array(
			'from' => '<basepath>/custom/pardot/fetchRecords.php',
			'to' => 'custom/pardot/fetchRecords.php',
		),
		array(
			'from' => '<basepath>/custom/pardot/rotateKey.php',
			'to' => 'custom/pardot/rotateKey.php',
		),
		array(
			'from' => '<basepath>/custom/pardot/version.php',
			'to' => 'custom/pardot/version.php',
		),
		array(
			'from' => '<basepath>/modules/PD_Pardot/Menu.php',
			'to' => 'modules/PD_Pardot/Menu.php',
		),
		array(
			'from' => '<basepath>/modules/PD_Pardot/PD_Pardot.php',
			'to' => 'modules/PD_Pardot/PD_Pardot.php',
		),
		array(
			'from' => '<basepath>/modules/PD_Pardot/PD_Pardot_sugar.php',
			'to' => 'modules/PD_Pardot/PD_Pardot_sugar.php',
		),
		array(
			'from' => '<basepath>/modules/PD_Pardot/controller.php',
			'to' => 'modules/PD_Pardot/controller.php',
		),
		array(
			'from' => '<basepath>/modules/PD_Pardot/vardefs.php',
			'to' => 'modules/PD_Pardot/vardefs.php',
		),
		array(
			'from' => '<basepath>/modules/PD_Pardot/language/en_us.lang.php',
			'to' => 'modules/PD_Pardot/language/en_us.lang.php',
		),
		array(
			'from' => '<basepath>/modules/PD_Pardot/metadata/SearchFields.php',
			'to' => 'modules/PD_Pardot/metadata/SearchFields.php',
		),
		array(
			'from' => '<basepath>/modules/PD_Pardot/metadata/dashletviewdefs.php',
			'to' => 'modules/PD_Pardot/metadata/dashletviewdefs.php',
		),
		array(
			'from' => '<basepath>/modules/PD_Pardot/metadata/detailviewdefs.php',
			'to' => 'modules/PD_Pardot/metadata/detailviewdefs.php',
		),
		array(
			'from' => '<basepath>/modules/PD_Pardot/metadata/editviewdefs.php',
			'to' => 'modules/PD_Pardot/metadata/editviewdefs.php',
		),
		array(
			'from' => '<basepath>/modules/PD_Pardot/metadata/listviewdefs.php',
			'to' => 'modules/PD_Pardot/metadata/listviewdefs.php',
		),
		array(
			'from' => '<basepath>/modules/PD_Pardot/metadata/metafiles.php',
			'to' => 'modules/PD_Pardot/metadata/metafiles.php',
		),
		array(
			'from' => '<basepath>/modules/PD_Pardot/metadata/popupdefs.php',
			'to' => 'modules/PD_Pardot/metadata/popupdefs.php',
		),
		array(
			'from' => '<basepath>/modules/PD_Pardot/metadata/quickcreatedefs.php',
			'to' => 'modules/PD_Pardot/metadata/quickcreatedefs.php',
		),
		array(
			'from' => '<basepath>/modules/PD_Pardot/metadata/searchdefs.php',
			'to' => 'modules/PD_Pardot/metadata/searchdefs.php',
		),
		array(
			'from' => '<basepath>/modules/PD_Pardot/metadata/studio.php',
			'to' => 'modules/PD_Pardot/metadata/studio.php',
		),
		array(
			'from' => '<basepath>/modules/PD_Pardot/metadata/wireless.detailviewdefs.php',
			'to' => 'modules/PD_Pardot/metadata/wireless.detailviewdefs.php',
		),
		array(
			'from' => '<basepath>/modules/PD_Pardot/metadata/wireless.editviewdefs.php',
			'to' => 'modules/PD_Pardot/metadata/wireless.editviewdefs.php',
		),
		array(
			'from' => '<basepath>/modules/PD_Pardot/metadata/wireless.listviewdefs.php',
			'to' => 'modules/PD_Pardot/metadata/wireless.listviewdefs.php',
		),
		array(
			'from' => '<basepath>/modules/PD_Pardot/metadata/wireless.searchdefs.php',
			'to' => 'modules/PD_Pardot/metadata/wireless.searchdefs.php',
		),
		array(
			'from' => '<basepath>/modules/PD_Pardot/metadata/subpanels/default.php',
			'to' => 'modules/PD_Pardot/metadata/subpanels/default.php',
		),
		array(
			'from' => '<basepath>/modules/PD_Pardot/tpls/listview.tpl',
			'to' => 'modules/PD_Pardot/tpls/listview.tpl',
		),
		array(
			'from' => '<basepath>/modules/PD_Pardot/views/view.list.php',
			'to' => 'modules/PD_Pardot/views/view.list.php',
		),
	),
	'custom_fields' => array(
		'Contactspi_campaign_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Contacts',
			'type' => 'varchar',
			'max_size' => '80',
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_CAMPAIGN',
			'name' => 'pi_campaign_c',
			'id' => 'Contactspi_campaign_c',
		),
		'Leadspi_campaign_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Leads',
			'type' => 'varchar',
			'max_size' => '80',
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_CAMPAIGN',
			'name' => 'pi_campaign_c',
			'id' => 'Leadspi_campaign_c',
		),
		'Contactspi_score_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Contacts',
			'type' => 'int',
			'max_size' => '11',
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_SCORE',
			'name' => 'pi_score_c',
			'id' => 'Contactspi_score_c',
		),
		'Leadspi_score_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Leads',
			'type' => 'int',
			'max_size' => '11',
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_SCORE',
			'name' => 'pi_score_c',
			'id' => 'Leadspi_score_c',
		),
		'Contactspi_grade_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Contacts',
			'type' => 'varchar',
			'max_size' => '25',
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_GRADE',
			'name' => 'pi_grade_c',
			'id' => 'Contactspi_grade_c',
		),
		'Leadspi_grade_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Leads',
			'type' => 'varchar',
			'max_size' => '25',
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_GRADE',
			'name' => 'pi_grade_c',
			'id' => 'Leadspi_grade_c',
		),
		'Contactspi_url_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Contacts',
			'type' => 'url',
			'max_size' => '250',
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_URL',
			'name' => 'pi_url_c',
			'id' => 'Contactspi_url_c',
		),
		'Leadspi_url_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Leads',
			'type' => 'url',
			'max_size' => '250',
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_URL',
			'name' => 'pi_url_c',
			'id' => 'Leadspi_url_c',
		),
		'Contactspi_created_date_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Contacts',
			'type' => 'datetime',
			'max_size' => NULL,
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_CREATED_DATE',
			'name' => 'pi_created_date_c',
			'id' => 'Contactspi_created_date_c',
		),
		'Leadspi_created_date_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Leads',
			'type' => 'datetime',
			'max_size' => NULL,
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_CREATED_DATE',
			'name' => 'pi_created_date_c',
			'id' => 'Leadspi_created_date_c',
		),
		'Contactspi_comments_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Contacts',
			'type' => 'text',
			'max_size' => NULL,
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_COMMENTS',
			'name' => 'pi_comments_c',
			'id' => 'Contactspi_comments_c',
		),
		'Leadspi_comments_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Leads',
			'type' => 'text',
			'max_size' => NULL,
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_COMMENTS',
			'name' => 'pi_comments_c',
			'id' => 'Leadspi_comments_c',
		),
		'Contactspi_first_activity_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Contacts',
			'type' => 'datetime',
			'max_size' => NULL,
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_FIRST_ACTIVITY',
			'name' => 'pi_first_activity_c',
			'id' => 'Contactspi_first_activity_c',
		),
		'Leadspi_first_activity_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Leads',
			'type' => 'datetime',
			'max_size' => NULL,
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_FIRST_ACTIVITY',
			'name' => 'pi_first_activity_c',
			'id' => 'Leadspi_first_activity_c',
		),
		'Contactspi_last_activity_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Contacts',
			'type' => 'datetime',
			'max_size' => NULL,
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_LAST_ACTIVITY',
			'name' => 'pi_last_activity_c',
			'id' => 'Contactspi_last_activity_c',
		),
		'Leadspi_last_activity_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Leads',
			'type' => 'datetime',
			'max_size' => NULL,
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_LAST_ACTIVITY',
			'name' => 'pi_last_activity_c',
			'id' => 'Leadspi_last_activity_c',
		),
		'Contactspi_first_referrer_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Contacts',
			'type' => 'text',
			'max_size' => NULL,
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_FIRST_REFERRER',
			'name' => 'pi_first_referrer_c',
			'id' => 'Contactspi_first_referrer_c',
		),
		'Leadspi_first_referrer_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Leads',
			'type' => 'text',
			'max_size' => NULL,
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_FIRST_REFERRER',
			'name' => 'pi_first_referrer_c',
			'id' => 'Leadspi_first_referrer_c',
		),
		'Contactspi_first_search_term_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Contacts',
			'type' => 'text',
			'max_size' => NULL,
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_FIRST_SEARCH_TERM',
			'name' => 'pi_first_search_term_c',
			'id' => 'Contactspi_first_search_term_c',
		),
		'Leadspi_first_search_term_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Leads',
			'type' => 'text',
			'max_size' => NULL,
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_FIRST_SEARCH_TERM',
			'name' => 'pi_first_search_term_c',
			'id' => 'Leadspi_first_search_term_c',
		),
		'Contactspi_first_search_type_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Contacts',
			'type' => 'text',
			'max_size' => NULL,
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_FIRST_SEARCH_TYPE',
			'name' => 'pi_first_search_type_c',
			'id' => 'Contactspi_first_search_type_c',
		),
		'Leadspi_first_search_type_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Leads',
			'type' => 'text',
			'max_size' => NULL,
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_FIRST_SEARCH_TYPE',
			'name' => 'pi_first_search_type_c',
			'id' => 'Leadspi_first_search_type_c',
		),
		'Contactspi_notes_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Contacts',
			'type' => 'text',
			'max_size' => NULL,
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_NOTES',
			'name' => 'pi_notes_c',
			'id' => 'Contactspi_notes_c',
		),
		'Leadspi_notes_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Leads',
			'type' => 'text',
			'max_size' => NULL,
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_NOTES',
			'name' => 'pi_notes_c',
			'id' => 'Leadspi_notes_c',
		),
		'Contactspi_opt_out_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Contacts',
			'type' => 'bool',
			'max_size' => '255',
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_OPT_OUT',
			'name' => 'pi_opt_out_c',
			'id' => 'Contactspi_opt_out_c',
		),
		'Leadspi_opt_out_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Leads',
			'type' => 'bool',
			'max_size' => '255',
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_OPT_OUT',
			'name' => 'pi_opt_out_c',
			'id' => 'Leadspi_opt_out_c',
		),
		'Contactspi_do_not_email_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Contacts',
			'type' => 'bool',
			'max_size' => '255',
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_DO_NOT_EMAIL',
			'name' => 'pi_do_not_email_c',
			'id' => 'Contactspi_do_not_email_c',
		),
		'Leadspi_do_not_email_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Leads',
			'type' => 'bool',
			'max_size' => '255',
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_DO_NOT_EMAIL',
			'name' => 'pi_do_not_email_c',
			'id' => 'Leadspi_do_not_email_c',
		),
		'Contactspi_html_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Contacts',
			'type' => 'url',
			'max_size' => '250',
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_HTML',
			'name' => 'pi_html_c',
			'id' => 'Contactspi_html_c',
		),
		'Leadspi_html_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Leads',
			'type' => 'url',
			'max_size' => '250',
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_HTML',
			'name' => 'pi_html_c',
			'id' => 'Leadspi_html_c',
		),
		'Contactspi_html_lists_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Contacts',
			'type' => 'url',
			'max_size' => '250',
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_HTML_LISTS',
			'name' => 'pi_html_lists_c',
			'id' => 'Contactspi_html_lists_c',
		),
		'Leadspi_html_lists_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Leads',
			'type' => 'url',
			'max_size' => '250',
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_HTML_LISTS',
			'name' => 'pi_html_lists_c',
			'id' => 'Leadspi_html_lists_c',
		),
		'Contactspi_html_social_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Contacts',
			'type' => 'url',
			'max_size' => '250',
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_HTML_SOCIAL',
			'name' => 'pi_html_social_c',
			'id' => 'Contactspi_html_social_c',
		),
		'Leadspi_html_social_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Leads',
			'type' => 'url',
			'max_size' => '250',
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_HTML_SOCIAL',
			'name' => 'pi_html_social_c',
			'id' => 'Leadspi_html_social_c',
		),
		'Contactspi_utm_campaign_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Contacts',
			'type' => 'varchar',
			'max_size' => '50',
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_UTM_CAMPAIGN',
			'name' => 'pi_utm_campaign_c',
			'id' => 'Contactspi_utm_campaign_c',
		),
		'Leadspi_utm_campaign_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Leads',
			'type' => 'varchar',
			'max_size' => '50',
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_UTM_CAMPAIGN',
			'name' => 'pi_utm_campaign_c',
			'id' => 'Leadspi_utm_campaign_c',
		),
		'Contactspi_utm_medium_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Contacts',
			'type' => 'varchar',
			'max_size' => '50',
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_UTM_MEDIUM',
			'name' => 'pi_utm_medium_c',
			'id' => 'Contactspi_utm_medium_c',
		),
		'Leadspi_utm_medium_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Leads',
			'type' => 'varchar',
			'max_size' => '50',
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_UTM_MEDIUM',
			'name' => 'pi_utm_medium_c',
			'id' => 'Leadspi_utm_medium_c',
		),
		'Contactspi_utm_term_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Contacts',
			'type' => 'varchar',
			'max_size' => '50',
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_UTM_TERM',
			'name' => 'pi_utm_term_c',
			'id' => 'Contactspi_utm_term_c',
		),
		'Leadspi_utm_term_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Leads',
			'type' => 'varchar',
			'max_size' => '50',
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_UTM_TERM',
			'name' => 'pi_utm_term_c',
			'id' => 'Leadspi_utm_term_c',
		),
		'Contactspi_utm_source_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Contacts',
			'type' => 'varchar',
			'max_size' => '50',
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_UTM_SOURCE',
			'name' => 'pi_utm_source_c',
			'id' => 'Contactspi_utm_source_c',
		),
		'Leadspi_utm_source_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Leads',
			'type' => 'varchar',
			'max_size' => '50',
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_UTM_SOURCE',
			'name' => 'pi_utm_source_c',
			'id' => 'Leadspi_utm_source_c',
		),
		'Contactspi_utm_content_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Contacts',
			'type' => 'varchar',
			'max_size' => '50',
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_UTM_CONTENT',
			'name' => 'pi_utm_content_c',
			'id' => 'Contactspi_utm_content_c',
		),
		'Leadspi_utm_content_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Leads',
			'type' => 'varchar',
			'max_size' => '50',
			'require_option' => '0',
			'default_value' => NULL,
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_UTM_CONTENT',
			'name' => 'pi_utm_content_c',
			'id' => 'Leadspi_utm_content_c',
		),
		'Contactspi_is_queued_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Contacts',
			'type' => 'bool',
			'max_size' => '255',
			'require_option' => '0',
			'default_value' => '1',
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_IS_QUEUED',
			'name' => 'pi_is_queued_c',
			'id' => 'Contactspi_is_queued_c',
		),
		'Leadspi_is_queued_c' => array(
			'comments' => NULL,
			'help' => NULL,
			'module' => 'Leads',
			'type' => 'bool',
			'max_size' => '255',
			'require_option' => '0',
			'default_value' => '1',
			'date_modified' => '2013-03-04 14:22:30',
			'deleted' => '0',
			'audited' => '0',
			'mass_update' => '0',
			'duplicate_merge' => '0',
			'reportable' => '0',
			'importable' => 'true',
			'ext1' => NULL,
			'ext2' => NULL,
			'ext3' => NULL,
			'ext4' => NULL,
			'label' => 'LBL_PI_IS_QUEUED',
			'name' => 'pi_is_queued_c',
			'id' => 'Leadspi_is_queued_c',
		),
	),
    'logic_hooks' => array(
    array(
      'module'         => 'Leads',
      'hook'           => 'before_delete',
      'order'          => 1,
      'description'    => 'Notify Pardot when a lead is being deleted',
      'file'           => 'custom/modules/Leads/pardot_lead_hook.php',
      'class'          => 'PardotLeadHook',
      'function'       => 'delete',
    ),
    array(
      'module'         => 'Leads',
      'hook'           => 'before_restore',
      'order'          => 1,
      'description'    => 'Notify Pardot when a lead is being undeleted',
      'file'           => 'custom/modules/Leads/pardot_lead_hook.php',
      'class'          => 'PardotLeadHook',
      'function'       => 'undelete',
    ),
    array(
      'module'         => 'Contacts',
      'hook'           => 'before_delete',
      'order'          => 1,
      'description'    => 'Notify Pardot when a contact is being deleted',
      'file'           => 'custom/modules/Contacts/pardot_contact_hook.php',
      'class'          => 'PardotContactHook',
      'function'       => 'delete',
    ),
    array(
      'module'         => 'Contacts',
      'hook'           => 'before_restore',
      'order'          => 1,
      'description'    => 'Notify Pardot when a contact is being undeleted',
      'file'           => 'custom/modules/Contacts/pardot_contact_hook.php',
      'class'          => 'PardotContactHook',
      'function'       => 'undelete',
    ),
    array(
      'module'         => 'Users',
      'hook'           => 'after_retrieve',
      'order'          => 1,
      'description'    => 'Inflate the current pardot key',
      'file'           => 'custom/modules/Users/pardot_user_hook.php',
      'class'          => 'PardotUserHook',
      'function'       => 'after_retrieve',
    ),
  ),
);
